"use client"
import React from 'react'
import { motion } from "framer-motion"


const Bubble = ({ stat, label, calssPlus }: { stat: string, label: string, calssPlus: string }) => {

    return (
        <motion.span
            initial={{scale: .2}}
            whileInView={{ scale: 1 }}
            transition={{duration: .3, ease: "easeInOut"}}
            className={`rounded-full aspect-square w-48 backdrop-blur-sm bg-black_opacity-15 flex flex-col gap-2 items-center justify-center ${calssPlus}`}
        >
            <span className='text-5xl font-bold text-stone-50 tracking-tighter'>{stat}</span>
            <span className='text-base text-stone-200'>{label}</span>
        </motion.span>
    )
}

export default Bubble